#include<cmath>
#include<bits/stdc++.h> 
using namespace std; 
  
int main() 
{ 
    int n,x,y,br;
    cin>>n;
    br=0;
    vector<long int> tabela;
    vector<long int> tabelarev;
	tabelarev.assign(n,0);
	tabela.assign(n,0);
    for (int i=0; i<n;i++)
	{
		cin>>x>>y;
		tabela[x-1]++;		
	}
	for (int i=0; i<n;i++)
	{
		if(tabela[i]==0 && tabela[i+1]>0)
		{
			tabela[i]++;
			tabela[i+1]--;
			br++;
		}
				
	}
	for (int i=0; i<n;i++)
	{
		tabelarev[i]=tabela[n-1-i];			
	}
	for (int i=0; i<n;i++)
	{
		if(tabelarev[i]==0 && tabelarev[i+1]>0)
		{
			tabelarev[i]++;
			tabelarev[i+1]--;
			br++;
		}
				
	}
	cout<<br;  
    return 0; 
}